// Do not edit this file, it is autogenerated by CMake from the .md file
_HKI( "### Top-level Clauses\n"
"\n"
"    (version <number>)\n"
"\n"
"    (rule <rule_name> <rule_clause> ...)\n"
"\n"
"\n"
"### Rule Clauses\n"
"\n"
"    (constraint <constraint_type> ...)\n"
"\n"
"    (condition \"<expression>\")\n"
"\n"
"    (layer \"<layer_name>\")\n"
"\n"
"\n"
"### Constraint Types\n"
"\n"
" * annular_width\n"
" * clearance\n"
" * courtyard_clearance\n"
" * diff\\_pair\\_gap\n"
" * diff\\_pair\\_uncoupled\n"
" * disallow\n"
" * edge_clearance\n"
" * length\n"
" * hole\n"
" * hole_clearance\n"
" * silk_clearance\n"
" * skew\n"
" * track_width\n"
" * via_count\n"
"\n"
"\n"
"### Item Types\n"
"\n"
" * buried_via\n"
" * graphic\n"
" * hole\n"
" * micro_via\n"
" * pad\n"
" * text\n"
" * track\n"
" * via\n"
" * zone\n"
"\n"
"\n"
"### Examples\n"
"\n"
"    # Comment\n"
"    \n"
"    (rule \"copper keepout\"\n"
"       (constraint disallow track via zone)\n"
"       (condition \"A.insideArea('zone3')\"))\n"
"\n"
"\n"
"    (rule \"BGA neckdown\"\n"
"       (constraint track_width (min 0.2mm) (opt 0.25mm))\n"
"       (constraint clearance (min 0.05) (opt 0.08mm))\n"
"       (condition \"A.insideCourtyard('U3')\"))\n"
"\n"
"\n"
"    (rule HV\n"
"       (constraint clearance (min 1.5mm))\n"
"       (condition \"A.NetClass == 'HV'\"))\n"
"\n"
"\n"
"    (rule HV\n"
"       (layer outer)\n"
"       (constraint clearance (min 1.5mm))\n"
"       (condition \"A.NetClass == 'HV'\"))\n"
"\n"
"\n"
"    (rule HV_HV\n"
"       # wider clearance between HV tracks\n"
"       (constraint clearance (min \"1.5mm + 2.0mm\"))\n"
"       (condition \"A.NetClass == 'HV' && B.NetClass == 'HV'\"))\n"
"\n"
"\n"
"    (rule HV_unshielded\n"
"       (constraint clearance (min 2mm))\n"
"       (condition \"A.NetClass == 'HV' && !A.insideArea('Shield*')))\n"
"\n"
"\n"
"    # prevent silk over tented vias\n"
"    (rule silk_over_via\n"
"       (constraint silk_clearance (min 0.2mm))\n"
"       (condition \"A.Type == '*Text' && B.Type == 'Via'\"))\n"
"\n"
"### Notes\n"
"\n"
"Version clause must be the first clause.\n"
"\n"
"Rules should be ordered by specificity.  Later rules take\n"
"precedence over earlier rules; once a matching rule is found\n"
"no further rules will be checked.\n"
"\n"
"Use Ctrl+/ to comment or uncomment line(s).\n"
"\n"
"\n"
"\n"
"### Expression functions\n"
"\n"
"All function parameters support simple wildcards (`*` and `?`).\n"
"\n"
"True if any part of `A` lies within the given footprint's courtyard.\n"
"\n"
"    A.insideCourtyard('<footprint_refdes>')\n"
"\n"
"\n"
"True if any part of `A` lies within the given zone's outline.\n"
"\n"
"    A.insideArea('<zone_name>')\n"
"\n"
"\n"
"True if `A` has a hole which is plated.\n"
"\n"
"    A.isPlated()\n"
"\n"
"\n"
"True if `A` is a member of the given group. Includes nested membership.\n"
"\n"
"    A.memberOf('<group_name>')\n"
"\n"
"\n"
"True if `A` exists on the given layer.  The layer name can be\n"
"either the name assigned in Board Setup > Board Editor Layers or\n"
"the canonical name (ie: `F.Cu`).\n"
"\n"
"    A.existsOnLayer('<layer_name>')\n"
"\n"
"NB: this returns true if `A` is on the given layer, independently\n"
"of whether or not the rule is being evaluated for that layer.\n"
"For the latter use a `(layer \"layer_name\")` clause in the rule.\n"
"" );
